##
##  hexer.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2005 OpenPKG Foundation e.V. <http://openpkg.net/>
##  Copyright (c) 2000-2005 Ralf S. Engelschall <http://engelschall.com/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         hexer
Summary:      Vi-style Hexadecimal Binary Editor
URL:          -
Vendor:       Sascha Demetrio
Packager:     OpenPKG
Distribution: OpenPKG
Class:        PLUS
Group:        Editor
License:      BSD
Version:      0.1.4c
Release:      20050927

#   list of sources
Source0:      ftp://ftp.netsw.org/system/tools/fileutils/edit/hexer-%{version}.tar.gz
Patch0:       hexer.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    Hexer is a Vi-style hexadecimal editor for editing binary files.

%track
    prog hexer = {
        version   = %{version}
        url       = ftp://ftp.netsw.org/system/tools/fileutils/edit/
        regex     = hexer-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    #   choose platform specific configuration file
    #   and always rely on having an ISO C compiler
    ext=any
    case "%{l_platform -t}" in
        *-freebsd* ) ext=bsd   ;;
        *-netbsd*  ) ext=bsd   ;;
        *-linux*   ) ext=linux ;;
        *-sunos*   ) ext=sunos ;;
    esac
    %{l_shtool} install \
        -e 's;\(USE_STDARG\).*;\1 1;' \
        config.$ext config.h

    #   determine available terminal library
    #   kludge: determine whether vendor termcap, termlib or curses library exists
    #   reason: some brain-dead platforms (like SuSE, etc) have no termcap library installed.
    termlib=""
    echo "int main(int argc, char *argv[]) { return 0; }" >dummy.c
    for lib in termcap termlib curses ncurses; do
        rc=0; %{l_cc} -o dummy dummy.c -l$lib >/dev/null 2>&1 || rc=1
        if [ $rc -eq 0 ]; then termlib="-l$lib"; break; fi
    done
    [ ".$termlib" = . ] && exit 1

    #   build package
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O} \$(DEFINES)" \
        TERMCAP="$termlib -lm"

%install
    rm -rf $RPM_BUILD_ROOT

    #   install package
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        hexer $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        hexer.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

